#ifndef DECL_SHADER_MODULE
#   define DECL_SHADER_MODULE(x)
#endif

// NOTE: Don't include this file directly. It is included from various places with
//       different definitions of DECL_SHADER_MODULE(), so that we don't have to
//       repeat the list everywhere.

DECL_SHADER_MODULE(vert_gui);
DECL_SHADER_MODULE(frag_gui);
DECL_SHADER_MODULE(vert_combine);
DECL_SHADER_MODULE(frag_combine);
DECL_SHADER_MODULE(vert_particles);
DECL_SHADER_MODULE(frag_particles);
DECL_SHADER_MODULE(vert_model);
DECL_SHADER_MODULE(frag_model);
DECL_SHADER_MODULE(vert_terrain);
DECL_SHADER_MODULE(frag_terrain);
DECL_SHADER_MODULE(comp_svoUpdate);
DECL_SHADER_MODULE(comp_tileDepth);
DECL_SHADER_MODULE(comp_lightApply);
DECL_SHADER_MODULE(comp_lightClusterReset);
DECL_SHADER_MODULE(comp_lightScopes);
DECL_SHADER_MODULE(comp_lightCount);
DECL_SHADER_MODULE(comp_starNoise);

#undef DECL_SHADER_MODULE